Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nvidia Driver - Forced to use old driver and kernel
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 973

PostPosted: Tue Aug 23, 2016 6:36 am    Post subject: Nvidia Driver - Forced to use old driver and kernel Reply with quote

I have a pretty awesome Nvidia card- MSI Gaming N760 TF 2GD5/OC G-SYNC Support GeForce GTX 760 2GB 256-Bit GDDR5. But only x11-drivers/nvidia-drivers-355.11-r2 will work with it, otherwise my graphics are so glitched the screen is unusable. As a consequence, I have to use a old kernel stable sys-kernel/gentoo-sources-4.1.15-r1:4.1.15-r1.

sys-kernel/gentoo-sources-4.1.15-r1:4.1.15-r1::gentoo
* Gentoo supports kernels which are supported by NVIDIA
* which are limited to the following kernels:
* <sys-kernel/gentoo-sources-4.3
* <sys-kernel/vanilla-sources-4.3


Anyone know when this darkness will pass?
_________________
<h5>Checkout <em>#grandmasboy</em> on <em>freenode</em>...chat with jayP bot from the movie!</h5>
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Tue Aug 23, 2016 9:43 am    Post subject: Reply with quote

Did you give feedback on nvidia support forum?

Worth a try to tell them directly

--

MY personal opinion now: I have owned so far 3 laptops with nvidia chipsets with gpu or discrete gpu. and all are not working properly

MSI C700 crappy performance much worse as integrated intel 915 chipset, regarding a year ago, sold intel crappy laptop. still have c700

asus g70sg laptop with 9800m gpu, bios bug with wrong memory bars, fixed it by changing the kernel sources for years was solved later by binary drivers. broken by design. sold half a year ago to a guy who will use it with windows vista so whatever

now asus g75vw, several special keyboard keys are not working, error because discrete nvidia gpu is fixed to display, and most laptops use intel / nvidia gpu with screen, wont be fixed propably, kernel reported, nvidia reported, no fix for over half a year

--

you could try to fix the kernel yourself, usually you need to change a few lines so a newer kernel will work with older binary drivers.

as long as you have a binary driver which works for your screen you are fine.

i also had to use for several months a very old nvidia drivers which were not supported anymore by kernel / xorg-server combination. only were able to use it by adapting the kernel sources.

kernel guys change some kernel symbols, which can be reverted by hand, nvidia-drivers won t load basically because of those changes.

Need a text editor and some basic knowledge about C / C++
Back to top
View user's profile Send private message
jmartos
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2008
Posts: 76

PostPosted: Sat Sep 10, 2016 3:45 pm    Post subject: Reply with quote

I'm stuck in the same situation but I have been able to at least move to a higher version kernel, although, the Nvidia-drivers are still stuck at an old version. I was able to use a newer kernel by patching the nvidia drivers. Here is what I did, which will at least get you to a newer kernel.

To get to the following versions of the kernel and nvidia drivers -

    gentoo-sources: sys-kernel/gentoo-sources-4.4.19
    nvidia-drivers: x11-drivers/nvidia-drivers-355.11-r4


Install the below patch at:

Code:
/etc/portage/patches/x11-drivers/nvidia-drivers-355.11-r4



Code:
--- kernel/nvidia/nv-procfs.c.orig   2015-11-07 20:22:44.937383656 -0500
+++ kernel/nvidia/nv-procfs.c   2015-11-07 20:24:20.755353556 -0500
@@ -360,7 +360,8 @@ nv_procfs_read_registry(
     registry_keys = ((nvl != NULL) ?
             nvl->registry_keys : nv_registry_keys);

-    return seq_printf(s, "Binary: \"%s\"\n", registry_keys);
+    seq_printf(s, "Binary: \"%s\"\n", registry_keys);
+    return 0;
 }

 static ssize_t
@@ -560,7 +561,8 @@ nv_procfs_read_text_file(
     void *v
 )
 {
-    return seq_puts(s, s->private);
+    seq_puts(s, s->private);
+    return 0;
 }


Make sure you mask nvidia drivers and gentoo-sources higher than the versions above.
Back to top
View user's profile Send private message
Myu
Apprentice
Apprentice


Joined: 22 Oct 2014
Posts: 164
Location: Belgium

PostPosted: Sat Sep 10, 2016 4:41 pm    Post subject: Reply with quote

For what it's worth, I'm running the 367.44 driver, with kernel 4.6.x, no patches needed, GTX750 Ti
_________________
Gentoo stable with bits of ~amd64 // Xfce 4.13 + Compiz Reloaded.
Back to top
View user's profile Send private message
jburns
Veteran
Veteran


Joined: 18 Jan 2007
Posts: 1048
Location: Massachusetts USA

PostPosted: Sat Sep 10, 2016 9:21 pm    Post subject: Reply with quote

x11-drivers/nvidia-drivers-355.11-r4 is the last driver that does not have KMS support, the newer drivers have a kms USE flag that defaults to being set. When the driver is built with KMS support the kernel should be built with CONFIG_DRM and CONFIG_DRM_KMS_HELPER enabled.
Back to top
View user's profile Send private message
Buffoon
Veteran
Veteran


Joined: 17 Jun 2015
Posts: 1074
Location: EU or US

PostPosted: Sat Sep 10, 2016 11:02 pm    Post subject: Reply with quote

My laptop has GT218M, I gave in about a year ago and switched to nouveau, works like charm. Hardware acceleration is as good as with blob and no worries about Xorg or kernel upgrades.
Back to top
View user's profile Send private message
jmartos
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2008
Posts: 76

PostPosted: Sun Sep 18, 2016 12:21 pm    Post subject: Reply with quote

The reason for me sticking with the older non-KMS nvidia-drivers was because of issues/conflicts with uvesafb drivers. The KMS nvidia-driver conflict would cause the system to freeze whenever I switched from a terminal session back to my xfce session. I tried without uvesafb, but I could not deal with the low resolution terminal sessions. I have not tried switching to noveau, but maybe I should give it a try. What are the cons of using noveau versus nvidia-drivers?
Back to top
View user's profile Send private message
farmer.ro
Apprentice
Apprentice


Joined: 20 Aug 2016
Posts: 179

PostPosted: Tue Oct 04, 2016 4:41 pm    Post subject: Reply with quote

without reading the comments i would suggest you upgrade the Gentoo box
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43178
Location: 56N 3W

PostPosted: Tue Oct 04, 2016 5:35 pm    Post subject: Reply with quote

jmartos,

nvidia-drivers used to work with vesafb.
They may also work with simple framebuffer.
The requirement is that the framebuffer driver must not attempt to set up the GPU.

Do your really need uvesafb?
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum